Update label metadata
curl --request PATCH \
--url https://gateway.app.clavata.ai:8443/v1/labels/{labelId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"disabled": true,
"description": "<string>"
}
'import requests
url = "https://gateway.app.clavata.ai:8443/v1/labels/{labelId}"
payload = {
"name": "<string>",
"disabled": True,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', disabled: true, description: '<string>'})
};
fetch('https://gateway.app.clavata.ai:8443/v1/labels/{labelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"label": {
"labelId": "<string>",
"name": "<string>",
"customerId": "<string>",
"policyId": "<string>",
"disabled": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"expunged": true,
"description": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"labelTagId": "<string>",
"customerId": "<string>",
"name": "<string>",
"color": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"expunged": true
}
],
"importProvenance": {
"libraryLabelId": "<string>",
"libraryVersionId": "<string>",
"libraryName": "<string>",
"importedAt": "2023-11-07T05:31:56Z"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Labels
Update label metadata
Updates human-facing label metadata only: name, description, and disabled. Unknown JSON fields such as rule text are ignored. This RPC cannot create, mutate, or delete versions. To change a rule, create a new version.
PATCH
/
v1
/
labels
/
{labelId}
Update label metadata
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The label ID to update
Body
application/json
Response
A successful response.
Label is a first-class, referenceable label entity (V2). Labels can be policy-scoped (policy_id set) or independent (policy_id empty). Policy-scoped labels are uniquely identified by (customer_id, name, policy_id). Independent labels are uniquely identified by (customer_id, name).
Show child attributes
Show child attributes
Was this page helpful?